# KeyObject

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | Name of the security object. | 
**description** | **str** | Description of the security object. | [optional] 
**key_size** | **int** | For objects which are not elliptic curves, this is the size in bits (not bytes) of the object. This field is not returned for elliptic curves.  | [optional] 
**elliptic_curve** | [**EllipticCurve**](EllipticCurve.md) |  | [optional] 
**acct_id** | **str** | Account ID of the account this security object belongs to. | 
**group_id** | **str** | Group ID of the security group that this security object belongs to. | [optional] 
**creator** | [**CreatorType**](CreatorType.md) |  | 
**kid** | **str** | Key ID uniquely identifying this security object. | [optional] 
**obj_type** | [**ObjectType**](ObjectType.md) |  | 
**key_ops** | [**list[KeyOperations]**](KeyOperations.md) | Array of key operations enabled for this security object.  | [optional] 
**custom_metadata** | **dict(str, str)** | User-defined metadata for this key. Stored as key-value pairs. | [optional] 
**origin** | [**ObjectOrigin**](ObjectOrigin.md) |  | 
**pub_key** | **bytearray** | This field is returned only for asymmetric keys. It contains the public key. | [optional] 
**value** | **bytearray** | This field is returned only for opaque and secret objects. It contains the contents of the object. | [optional] 
**enabled** | **bool** | Whether this security object has cryptographic operations enabled. | 
**created_at** | **str** | When this security object was created. | 
**lastused_at** | **str** | When this security object was last used. | 
**transient_key** | **str** | Transient key blob. | [optional] 
**never_exportable** | **bool** | True if this key&#39;s operations have never contained EXPORT. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


